package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsk.cscec.domain.BizDictData;
import com.dsk.cscec.domain.bo.BizDictDataBo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 业务数据字典Mapper接口
 *
 * @author ruoyi
 * @date 2021-11-08
 */
public interface BizDictDataMapper extends BaseMapper<BizDictData> {

    public List<Long> findIdByName(String name);

    BizDictData findByNameAndType(@Param("name") String name, @Param("type") String type);

    int countByName(@Param("name") String name, @Param("type") String type);

    List<BizDictData> exportListVo(@Param("bo") BizDictDataBo bo);

    /**
     * 根据ID查询相关数据
     *
     * @param id
     * @return 查询到的数据
     */
    BizDictData queryByID(Long id);
}
